
#include "brush.h"
#include "rendering.h"

class C_WorldSpawn: public C_BrushEntity
{
public:
	virtual void Precache ( void ) override;
	virtual void Spawn( void ) override;
	virtual void Destroy( void ) override;
	virtual void Think( float fDelta ) override;
};

void C_WorldSpawn::Precache()
{
	C_BrushEntity::Precache();
}

void C_WorldSpawn::Spawn()
{
	C_BrushEntity::Spawn();
};

void C_WorldSpawn::Destroy()
{
	C_BrushEntity::Destroy();
}
void C_WorldSpawn::Think( float fDelta )
{
	C_BrushEntity::Think(fDelta);
};

LINK_CLIENT_ENTITY(C_WorldSpawn, CWorldSpawn)
